%define pkg_name        Class-Accessor-Lvalue
%define pkg_version     0.11
%define rpm_pkg_version 0.11
%define rpm_pkg_release 1.n0i.1

Summary:       Create L-value accessors
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       GPL+ or Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/modules/by-module/Class/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: rpm-build-reb00t-perl
BuildRequires: perl(Class::Accessor)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)
BuildRequires: perl(Want)

# missed
Requires: perl(Class::Accessor)


%description
This module subclasses Class::Accessor in order to provide L-value accessor
makers.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Changes README


%changelog
* Sat Sep 29 2007 Marius Feraru <altblue@n0i.net> - 0.11-1.n0i.1
- spec file (re)created using N0i::CPAN::RPMizer/1.14.11
- version 0.11
